import request from '@/utils/request';
import axios from 'axios';
const ossSwitch = 'ks3' as 'ks3' | 'tencent'; // 上传文件服务商
/**
 * 获取上传文件签名
 */
export const getSign = (params: any) => {
  return request.post('/edu-app/open/getUploadSign', {
    data: params
  });
};

/**
 * 获取上传文件签名
 * @param params 上传对应参数
 * { filename: fileName,
          bucketName: props.bucketName,
          postData: {
            filename: fileName,
            acl: 'public-read',
            key: fileName,
            unknowValueField: []
          }}
 * @param oss 服务商 ks3 tencent
 */
export const getUploadSign = async (params: any, oss?: string) => {
  try {
    const { data } = await getSign({ params });
  } catch (e: any) {
    throw new Error(e.message || '获取失败');
  }
};
